Package org.eclipse.mat.snapshot

# Interface IOQLQuery.Result

All Superinterfaces:
  `IResult`

Enclosing interface:
  IOQLQuery

public static interface IOQLQuery.Result extends IResult
A result which also describes the OQL query that generated it.

## Method Summary

Modifier and Type
Method
Description
`String`
`getOQLQuery()`
The OQL query

### Methods inherited from interface org.eclipse.mat.query.IResult

`getResultMetaData`

## Method Details

### getOQLQuery

String getOQLQuery()
The OQL query

Returns:
  the query